eID middleware |

# be::portugal::eid::PTEID_Object Class Reference

Base class for the object of PTEID SDK (Can not be instantiated). More...

Inheritance diagram for be::portugal::eid::PTEID_Object:

List of all members.

## Public Member Functions
virtual void | Dispose ()
## Protected Attributes
bool | swigCMemOwn

## Detailed Description

Base class for the object of PTEID SDK (Can not be instantiated).

## Member Function Documentation

virtual void be::portugal::eid::PTEID_Object::Dispose | ( |  | ) | `[inline, virtual]`

Reimplemented in be::portugal::eid::PTEID_Biometric, be::portugal::eid::PTEID_ByteArray, be::portugal::eid::PTEID_Card, be::portugal::eid::PTEID_CardVersionInfo, be::portugal::eid::PTEID_Certificate, be::portugal::eid::PTEID_Certificates, be::portugal::eid::PTEID_Config, be::portugal::eid::PTEID_Crl, be::portugal::eid::PTEID_Crypto, be::portugal::eid::PTEID_EId, be::portugal::eid::PTEID_EIDCard, be::portugal::eid::PTEID_EIdFullDoc, be::portugal::eid::PTEID_ForeignerCard, be::portugal::eid::PTEID_KidsCard, be::portugal::eid::PTEID_MemoryCard, be::portugal::eid::PTEID_OcspResponse, be::portugal::eid::PTEID_Picture, be::portugal::eid::PTEID_Pin, be::portugal::eid::PTEID_Pins, be::portugal::eid::PTEID_ReaderContext, be::portugal::eid::PTEID_ReaderSet, be::portugal::eid::PTEID_SISCard, be::portugal::eid::PTEID_SisFullDoc, be::portugal::eid::PTEID_SisId, be::portugal::eid::PTEID_SmartCard, and be::portugal::eid::PTEID_XMLDoc.

## Member Data Documentation

bool be::portugal::eid::PTEID_Object::swigCMemOwn`[protected]`